%define pkg_name landslide

Name:           landslide
Version:        2.0.0
Release:        %mkrel 3
Summary:        Lightweight markup language-based html5 slideshow generator
Group:          Publishing
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/landslide
Source0:        %{pypi_source}
Patch0:         landslide-2.0.0-relax-requirements.patch

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-textile

%description
Takes your Markdown, ReST, or Textile file(s) and generates 
fancy HTML5 slideshows

%prep
%autosetup -n %{pkg_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files landslide

%files -f %{pyproject_files}
%{_bindir}/%{pkg_name}


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 2.0.0-3.mga10
+ Revision: 2247704
- Mageia 10 Mass Rebuild

* Thu Mar 13 2025 daviddavid <daviddavid> 2.0.0-2.mga10
+ Revision: 2163342
- rebuild for python 3.13

* Mon Jan 08 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2029058
- new version 2.0.0

* Thu Mar 24 2022 umeabot <umeabot> 1.1.8-6.mga9
+ Revision: 1824067
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 1.1.8-5.mga9
+ Revision: 1787277
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 1.1.8-4.mga9
+ Revision: 1733556
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 1.1.8-3.mga9
+ Revision: 1732962
- Rebuild for python 3.9

* Sat Nov 21 2020 guillomovitch <guillomovitch> 1.1.8-2.mga8
+ Revision: 1648102
- relax versioned dependencies

* Tue Sep 29 2020 ovitters <ovitters> 1.1.8-1.mga8
+ Revision: 1631201
- new version 1.1.8

* Tue Feb 18 2020 umeabot <umeabot> 1.1.6-2.mga8
+ Revision: 1538576
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 daviddavid <daviddavid> 1.1.6-1.mga8
+ Revision: 1462329
- new version: 1.1.6

* Sat Sep 21 2019 daviddavid <daviddavid> 1.1.3-5.mga8
+ Revision: 1444392
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 1.1.3-4.mga7
+ Revision: 1355040
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.3-3.mga7
+ Revision: 1279190
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.1.3-2.mga7
+ Revision: 1135243
- Rebuild for python 3.6

* Tue Sep 06 2016 philippem <philippem> 1.1.3-1.mga6
+ Revision: 1050258
- imported package landslide

